<template>
    <div class="py-2 bg-background1 m-notice">
        <div
            class="container flex items-center mx-auto"
            :class="announcement.IsHidden ? 'justify-end' : ''"
        >
            <utils-announcement
            v-if="!announcement.IsHidden"
            :announcement="announcement.Text"
            />
            <utils-display-time class="text-right" />
        </div>
    </div>
</template>

<script setup lang="ts">
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";
import EnumThemePropertyKey from "@/models/enums/enumThemePropertyKey";

const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
const announcement = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          EnumThemePropertyKey.announcement
        )
    );
</script>

<style scoped>
:deep(.text-sm.--text) {
    color: #fff;
}
</style>